Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class USU_DiscapacidadDbHelper
    Inherits DbHelper(Of USU_Discapacidad,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListUSU_DiscapacidadBySEG_Usuarios(ByVal idUsuario as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of USU_Discapacidad)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idUsuario = idUsuario
        Return QueryObject.ExecuteList()
    End Function

    Public Function GetListUSU_DiscapacidadBySTP_CertificacionDiscapacidad(ByVal idCertificado as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of USU_Discapacidad)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idCertificado = idCertificado
        Return QueryObject.ExecuteList()
    End Function

    Public Function GetListUSU_DiscapacidadBySTP_Discapacidad(ByVal idTipoDiscapacidad as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of USU_Discapacidad)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idTipoDiscapacidad = idTipoDiscapacidad
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class
